Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1366904

Summary: [abrt] kernel BUG at mm/balloon_compaction.c:99!
Product: [Fedora] Fedora Reporter: Chen_Min_Chin <tcfxfzoi>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab, tcfxfzoi
Target Milestone: ---Flags: labbott: needinfo? (tcfxfzoi)
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/69d297f5e48b7e010dbb7154f0b9125c3a895081
Whiteboard: abrt_hash:0ef19ab64fbd5a2def697badbad5e0fd99838816;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-26 16:53:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Chen_Min_Chin 2016-08-14 14:24:26 UTC
Additional info:
reporter:       libreport-2.7.2
kernel BUG at mm/balloon_compaction.c:99!
invalid opcode: 0000 [#1] SMP 
Modules linked in: fuse uinput xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_REJECT nf_reject_ipv6 xt_conntrack ip6t_rpfilter ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_generic snd_hda_intel ppdev iTCO_wdt snd_seq_midi snd_hda_codec iTCO_vendor_support snd_seq_midi_event snd_intel8x0 snd_ens1370 snd_ac97_codec snd_hda_core gameport snd_rawmidi snd_hwdep ac97_bus snd_seq snd_seq_device snd_pcm parport_pc joydev i2c_i801 parport acpi_cpufreq qemu_fw_cfg snd_timer tpm_tis tpm
 lpc_ich snd virtio_input virtio_balloon soundcore nfsd auth_rpcgss binfmt_misc nfs_acl lockd grace sunrpc virtio_gpu drm_kms_helper ttm drm virtio_blk virtio_console virtio_net serio_raw virtio_pci virtio_ring virtio
CPU: 0 PID: 2164 Comm: firefox Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: QEMU Standard PC (Q35 + ICH9, 2009), BIOS 1.9.1-1.fc24 04/01/2014
task: ffff8800266c1d40 ti: ffff88002675c000 task.ti: ffff88002675c000
RIP: 0010:[<ffffffff812444cd>]  [<ffffffff812444cd>] balloon_page_dequeue+0x11d/0x120
RSP: 0000:ffff88002675f960  EFLAGS: 00010046
RAX: 0000000000000286 RBX: ffff88007a30b000 RCX: ffffffffc0021020
RDX: ffff88007a30b098 RSI: 0000000000000286 RDI: ffff88007a30b090
RBP: ffff88002675f990 R08: 0000000000000000 R09: ffff88007a30b528
R10: 0000000000000000 R11: 0000000000000001 R12: ffff88007a30b090
R13: ffff88007a30b098 R14: ffff88007a30b000 R15: ffff88007a30b088
FS:  00007f727bd94740(0000) GS:ffff88007fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f726e683fb0 CR3: 000000002b7e9000 CR4: 00000000000006f0
Stack:
 0000000000000286 ffff88007a30b000 0000000000000100 ffff88007a30b088
 ffff88007a30b000 0000000000000000 ffff88002675f9d8 ffffffffc001f79f
 ffff88007a30b0b0 ffff88004f6dbb00 ffff88003612ac00 ffff88007a30b528
Call Trace:
 [<ffffffffc001f79f>] leak_balloon+0x8f/0x190 [virtio_balloon]
 [<ffffffffc001f9c8>] virtballoon_oom_notify+0x58/0x80 [virtio_balloon]
 [<ffffffff810c7f1a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c8257>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c8286>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff811bd23d>] out_of_memory+0x6d/0x4a0
 [<ffffffff811c40cd>] __alloc_pages_nodemask+0xc7d/0xca0
 [<ffffffff812169cc>] alloc_pages_current+0x8c/0x110
 [<ffffffff811b7e3f>] __page_cache_alloc+0xcf/0x100
 [<ffffffff811bb4b3>] filemap_fault+0x353/0x630
 [<ffffffff812e3df6>] ext4_filemap_fault+0x36/0x50
 [<ffffffff811ed0a5>] __do_fault+0x75/0x1b0
 [<ffffffff811f14aa>] handle_mm_fault+0x13ca/0x2000
 [<ffffffff811e85d9>] ? vmacache_find+0x79/0xd0
 [<ffffffff8106a81e>] __do_page_fault+0x1de/0x4d0
 [<ffffffff8106abd1>] trace_do_page_fault+0x41/0x120
 [<ffffffff81064d0a>] do_async_page_fault+0x1a/0xa0
 [<ffffffff817e29f8>] async_page_fault+0x28/0x30
Code: 41 5f 5d c3 f0 80 63 01 f7 e8 10 57 1b 00 eb c6 48 c7 c6 e0 b3 a3 81 48 89 df e8 5f 5f fa ff 0f 0b 49 83 3f 00 0f 85 7b ff ff ff <0f> 0b 90 0f 1f 44 00 00 55 31 f6 48 89 e5 41 56 41 55 41 54 53 
RIP  [<ffffffff812444cd>] balloon_page_dequeue+0x11d/0x120
 RSP <ffff88002675f960>

Comment 1 Chen_Min_Chin 2016-08-14 14:24:38 UTC
Created attachment 1190766 [details]
File: dmesg

Comment 2 Laura Abbott 2016-09-23 19:07:54 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Laura Abbott 2016-10-26 16:53:10 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.